1.0

1.0

get /v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Description

List Auto-Scaling Group policies.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
queryname
optional
Policy name
Example : policy-name
any of [string, null]None
querymetric_method
optional
Metric method
Example : AVG
any of [enum (AVG, MIN, MAX), null]None
querymetric_type
optional
Metric type
Example : CPU
any of [string, null]None
queryscale_type
optional
Scale type
Example : SCALE_OUT
any of [enum (SCALE_OUT, SCALE_IN), null]None
queryoffset
optional
Index of where to start in the list
Example : 0
any of [integer, null]0
querylimit
optional
Page size of items
Example : 20
any of [integer, null]20
querysort
optional
Comma-separated list of sort keys and optional sort directions in the form of [:]
Example : created_at:desc
any of [string, null]created_at:desc,id:desc

Responses

HTTP CodeDescriptionSchema
200OKAutoScalingGroupPolicyListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "policies": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "comparison_operator": "ge",
            "cooldown_seconds": 300,
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "evaluation_minutes": 1,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "metric_method": "AVG",
            "metric_type": "CPU",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "policy-name",
            "scale_method": "AMOUNT",
            "scale_type": "SCALE_OUT",
            "scale_value": 10,
            "state": "ACTIVE",
            "threshold": 60,
            "threshold_unit": "%"
        }
    ]
}